NewWacht Bench is live — AI-assisted development for Wacht

Get Audit Logs

GET
/api-auth/audit/logs

Authorization

__session<token>

Session JWT stored as a cookie after sign-in. Used in production environments.

In: cookie

Query Parameters

limit?string
offset?string
outcome?string
key_id?string
start_date?string
end_date?string
cursor_ts?string
cursor_id?string
cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://{deployment_host}/api-auth/audit/logs"
{
  "status": 0,
  "message": "string",
  "data": {
    "data": [
      {
        "request_id": "string",
        "deployment_id": "string",
        "app_slug": "string",
        "key_id": "string",
        "key_name": "string",
        "outcome": "string",
        "blocked_by_rule": "string",
        "client_ip": "string",
        "path": "string",
        "user_agent": "string",
        "rate_limits": "string",
        "timestamp": "string"
      }
    ],
    "limit": 0,
    "has_more": true,
    "next_cursor": "string"
  },
  "session": {
    "id": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}
{
  "errors": [
    {
      "message": "string",
      "code": 0
    }
  ]
}